package weatherService;

import java.io.Serializable;

/** A weather description */
public class Weather implements Serializable {
  /** the serial version uid */
  private static final long serialVersionUID = 0;

  /** the weather: is it sunny, cloudy, windy, or ... */
  private String m_weather;
  /** the temperature high */
  private int m_temperatureHigh;
  /** the temperature low */
  private int m_temperatureLow;
  /** the humidity */
  private int m_humidity;

  /** create a new weather description */
  public Weather() {
    super();
  }

  /**
   * Get the current weather description. Is it sunny, cloudy, windy, or
   * ...
   *
   * @return the weather.
   */
  public String getWeather() {
    return this.m_weather;
  }

  /**
   * set the weather
   *
   * @param weather
   *          the new weather description
   */
  public void setWeather(final String weather) {
    this.m_weather = weather;
  }

  /**
   * get the high temperature
   *
   * @return the high temperature
   */
  public int getHighTemperature() {
    return this.m_temperatureHigh;
  }

  /**
   * set the high temperature
   *
   * @param temperature
   *          the temperature
   */
  public void setHighTemperature(final int temperature) {
    this.m_temperatureHigh = temperature;
  }

  /**
   * get the low temperature
   *
   * @return the low temperature
   */
  public int getLowTemperature() {
    return this.m_temperatureLow;
  }

  /**
   * set the low temperature
   *
   * @param temperature
   *          the temperature
   */
  public void setLowTemperature(final int temperature) {
    this.m_temperatureLow = temperature;
  }

  /**
   * get the humidity
   *
   * @return the current humidity
   */
  public int getHumidity() {
    return this.m_humidity;
  }

  /**
   * set the humidity
   *
   * @param humidity
   *          the humidity
   */
  public void setHumidity(final int humidity) {
    this.m_humidity = humidity;
  }

  /** {@inheritDoc} */
  @Override
  public final String toString() {
    return ((((((((this.m_weather + ' ') + '(') + this.m_temperatureLow)
        + '-') + this.m_temperatureHigh) + ')') + '@') + this.m_humidity);
  }
}
